## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - i -

- i1 : csClipInfo
- i2 : csClipInfo
- Ic : CrystalSpace::SoftShader::ScanlineCompDivZ, CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat
- icamera : csRenderContext
- id : csOptionDescription
- ident : csIdentStrings::csIdentString
- idx : csTriangleVertex, csSpline, csClipInfo
- Image : csBakeKeyColor, csImageMemory
- image : csGenerateImageTextureSingle
- ImageName : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- ImageSize : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- imageType : csImageMemory
- IncludeModule : MINIDUMP_CALLBACK_INPUT
- IncludeThread : MINIDUMP_CALLBACK_INPUT
- incoming_plane : csFogInfo
- index : csSpriteCal3DActiveAnim
- index_buffer : csNewParticleSystem, csParticleSystem
- indexCount : csSimpleRenderMesh
- indexData : csCommonImageFileLoader
- indexend : csCoreRenderMesh
- indexstart : csCoreRenderMesh
- indices : csSimpleRenderMesh
- Info : csCommandEventData
- initialized : csNewParticleSystem, csParticleSystem
- insideDisposeAll : csBlockAllocator< T, BlockPolicy >
- InstructionOffset : IMAGEHLP_STACK_FRAME
- internal_file_attributes : ZIP_central_directory_file_header
- InterpolShift : CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >, CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >
- InterpolStep : CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >, CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >
- invLastSpan : CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >
- invrad : csLinearAttenuation
- ipx : CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >, CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >
- is_open : csGraphics2D
- isCooked : csInputDefinition
- isect : csHitBeamResult
- isIndex : csRenderBuffer::Props
- isLocked : csRenderBuffer::Props
- isPaused : OSXDelegate2D
- IsPrimary2D : DirectDetectionDevice
- iter : csSet< T >::GlobalIterator, csTypedObjectIterator< T >
- Iterator : csList< T >::Iterator, csHash< T, K >::Iterator, csArray< T, ElementHandler, MemoryAllocator >::Iterator, csList< T >, csHash< T, K >, csNodeIterator
- iview : csRenderContext
- Iz : CrystalSpace::SoftShader::InterpolateScanlinePerspCommon, CrystalSpace::SoftShader::InterpolateEdgePersp
- Iz_f : CrystalSpace::SoftShader::InterpolateScanlinePerspCommon